<?php defined('C5_EXECUTE') or die('Access Denied.');

/**
 * ab_str_to_img_ttf package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_str_to_img_ttf
 */
 
?>

<style>
.ab-str-to-img-ttf-form .text-muted {
    font-size: 0.8em;
}
</style>

<fieldset class="ab-str-to-img-ttf-form">

    <?php 
    if (empty($fonts)) {
    ?>
    
        <div class="form-group">
            <div id="block_note" class="alert alert-info" role="alert">
            <?php 
            echo '<p class="error">' . t('Error occured. Please check if valid TTF font files are available in folder: ') . '<br />';
            echo DIR_FILES_UPLOADED_STANDARD . '/fonts/ttf/' . '</p>';
            ?>
            </div>             
        </div>
        
    <?php 
    }
    else {
    ?>
    
        <div class="form-group">
            <?php
            echo $form->label('img_string', t('Enter text to convert to image'));
            echo $form->text('img_string', $img_string, ['maxlength' => 100]);
            echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
            ?>
        </div>
        <div class="form-group">
            <?php
            echo $form->label('color', t('Select text color'));
            echo '<br />';
            $ch = $app->make('helper/form/color');
            $ch->output('color', $color ? $color : '#0099ff', array('showAlpha' => 'false', 'preferredFormat' => 'hex'));
            ?>
        </div>
        <div class="form-group">
            <?php
            echo $form->label('font', t('Select text font family'));
            echo $form->select('font', $fonts, $font_selected);
            ?>
        </div>
        <div class="form-group">
            <?php
            echo $form->label('size', t('Enter font size'));
            echo $form->number('size', $size ? $size : '12', array('min' => '1', 'max' => '99'));
            echo '<p class="text-muted">' . t('Values from 1 to 99') . '</p>';
            ?>
        </div>

    <?php 
    }
    ?>
    
</fieldset>

<script>
$(function(){
    $('#ccm-form-submit-button').on('click', function(e){
        var img_string = $('#img_string').val();
        if (img_string.length < 1 || img_string.length > 100) {
            e.preventDefault();  // stop form from submitting
            e.stopPropagation(); // stop anything else from listening to our event and screwing things up
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Image text error:')); ?>,
                message: <?php echo json_encode(t('Image text cannot be empty or > 100 symbols!')); ?>
            });
        }
    });
    
});
</script>
